aboutsummaryrefslogtreecommitdiff
path: root/docker/onekey.sh
diff options
context:
space:
mode:
authorKunoiSayami <[email protected]>2021-11-07 13:48:41 +0800
committerKunoiSayami <[email protected]>2021-11-07 13:48:41 +0800
commit254846d3da3f6c7fb70b316f5ebdf2ce4215309f (patch)
tree67b310059f2825fc0555e05704706b5dc7e5d710 /docker/onekey.sh
parentd1e83791bd44afe1c74ba6bd0c4ede86852005bc (diff)
refactor(script): Move all script to utils folder
* feat(script): Build test package not request signing for now Signed-off-by: KunoiSayami <[email protected]>
Diffstat (limited to 'docker/onekey.sh')
-rwxr-xr-xdocker/onekey.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/docker/onekey.sh b/docker/onekey.sh
index f27153a..99384db 100755
--- a/docker/onekey.sh
+++ b/docker/onekey.sh
@@ -3,7 +3,12 @@
# end up when failed
set -Eeuo pipefail
-pushd "$(uname -m)" || ( echo "Can't find your architecture" && exit 0 )
+if [ $# -eq 0 ] && [ -z "$1" ]; then
+ echo "Please specify REMOTE SERVER ADDRESS"
+ exit 1
+fi
+
+pushd "$(uname -m)" || ( echo "Can't find your architecture" && exit 1 )
docker build . -t repobuildbase
popd
-docker build . -t repobuild
+docker build --build-arg "REMOTE_ADDRESS=$1" . -t repobuild